summaryrefslogtreecommitdiff
path: root/update_index.sh
diff options
context:
space:
mode:
authorGrail Finder <wohilas@gmail.com>2023-03-09 22:53:04 +0600
committerGrail Finder <wohilas@gmail.com>2023-03-09 22:53:04 +0600
commit481955c6ba61bb6d415f9a3a963a04931af95696 (patch)
treebcc01f67b5ef1037d830ab0ae173cd8cdcd1f91b /update_index.sh
parent5146dc3cef9aac7ab37d767ebea559ad10d46139 (diff)
Feat: add scripts to generate dynamic data
Diffstat (limited to 'update_index.sh')
-rwxr-xr-xupdate_index.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/update_index.sh b/update_index.sh
new file mode 100755
index 0000000..f675188
--- /dev/null
+++ b/update_index.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e
+
+dir=${1:-}
+
+filepath=$(du -a $dir | awk '($1 > 50) {print $2}' | shuf -n 1)
+echo "$filepath"
+mpv "$filepath"
+
+cp "$filepath" todays_audio.opus
+
+whisper --model medium --language de --device cpu todays_audio.opus
+
+phrase=$(cat todays_audio.opus.txt)
+./replace_phrase.sh "$phrase"
+
+./get_sd_image.sh "$phrase"